version: '3.8'
services:
  nginx-proxy:
    image: nginxproxy/nginx-proxy
    container_name: nginx-proxy
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - conf:/etc/nginx/conf.d
      - vhost:/etc/nginx/vhost.d
      - html:/usr/share/nginx/html
      - certs:/etc/nginx/certs:ro
      - /var/run/docker.sock:/tmp/docker.sock:ro
      - acme:/etc/acme.sh
    restart: "always"
    networks:
      - web
  acme-companion:
    image: nginxproxy/acme-companion
    container_name: nginx-proxy-acme
    environment:
      - DEFAULT_EMAIL=whetu@pikistudios.com
    volumes_from:
      - nginx-proxy
    volumes:
      - certs:/etc/nginx/certs:rw
      - acme:/etc/acme.sh
      - /var/run/docker.sock:/var/run/docker.sock:ro
    restart: "always"
    depends_on:
      - "nginx-proxy"
    networks:
      - web 
  fawe:
    container_name: faweupload
    image: fetxu/faweupload:latest
    expose:
        - "3006"
    volumes:
      - ./faweupload:/var/www/html/faweupload
    environment:
        VIRTUAL_HOST: fawe.lorecraft.online
        LETSENCRYPT_HOST: fawe.lorecraft.online
    depends_on:
      - "acme-companion"
    restart: "no"
    networks:
      - web
volumes:
  conf:
  vhost:
  html:
  certs:
  acme:
networks:
  web:
    external: true